<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/positiveLabel" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altPositiveLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_rt_2024-11-01.xsd#rol_altTotalLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_RecruitmentExpensesSGAIFRS" xlink:label="RecruitmentExpensesSGAIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI" xlink:label="ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:label="ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ReferenceToOtherInformation2Strategy" xlink:label="ReferenceToOtherInformation2Strategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:label="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_AccruedLaborExpensesCLIFRS" xlink:label="AccruedLaborExpensesCLIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS" xlink:label="GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_GainOnSaleOfBusinessesOpeCFIFRS" xlink:label="GainOnSaleOfBusinessesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS" xlink:label="IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS" xlink:label="DecreaseIncreaseInPrepaidExpensesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS" xlink:label="DecreaseIncreaseInLeaseReceivablesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS" xlink:label="IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS" xlink:label="PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_NishidaYutakaMember" xlink:label="NishidaYutakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_SatoDaioMember" xlink:label="SatoDaioMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_SatoHiroshiMember" xlink:label="SatoHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_OshimaMariMember" xlink:label="OshimaMariMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_KawakamiTomokoMember" xlink:label="KawakamiTomokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ShimizuArataMember" xlink:label="ShimizuArataMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_WadaYoichiMember" xlink:label="WadaYoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ZammaRiekoMember" xlink:label="ZammaRiekoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_TakahashiShintaroMember" xlink:label="TakahashiShintaroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_RokugawaHiroakiMember" xlink:label="RokugawaHiroakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS" xlink:label="ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember" xlink:label="TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_AmountTransferredToDiscontinuedOperationsReportableSegmentMember" xlink:label="AmountTransferredToDiscontinuedOperationsReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_OtherItemsIFRSAbstract" xlink:label="OtherItemsIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_MechanicalElectricityAndITFieldReportableSegmentMember" xlink:label="MechanicalElectricityAndITFieldReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ConstructionFieldReportableSegmentMember" xlink:label="ConstructionFieldReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_ManufacturingFieldReportableSegmentMember" xlink:label="ManufacturingFieldReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_OverseasFieldReportableSegmentMember" xlink:label="OverseasFieldReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:label="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_CollectionOfLongTermLoansReceivableInvCFIFRS" xlink:label="CollectionOfLongTermLoansReceivableInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E05695-000_2025-06-30_01_2025-09-22.xsd#jpcrp030000-asr_E05695-000_SakaiNorikoMember" xlink:label="SakaiNorikoMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_OperatingProfitLossIFRS" xlink:label="OperatingProfitLossIFRS" />
    <link:label xlink:type="resource" xlink:label="label_OperatingProfitLossIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/positiveLabel" id="label_OperatingProfitLossIFRS">Operating profit</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingProfitLossIFRS" xlink:to="label_OperatingProfitLossIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ChangeInScopeOfConsolidationSSIFRS" xlink:label="ChangeInScopeOfConsolidationSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ChangeInScopeOfConsolidationSSIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_ChangeInScopeOfConsolidationSSIFRS">Change in scope of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInScopeOfConsolidationSSIFRS" xlink:to="label_ChangeInScopeOfConsolidationSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ChangesInOwnershipInterestInSubsidiariesSSIFRS" xlink:label="ChangesInOwnershipInterestInSubsidiariesSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ChangesInOwnershipInterestInSubsidiariesSSIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_ChangesInOwnershipInterestInSubsidiariesSSIFRS">Changes in ownership interest in subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInOwnershipInterestInSubsidiariesSSIFRS" xlink:to="label_ChangesInOwnershipInterestInSubsidiariesSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_RevenueIFRS" xlink:label="RevenueIFRS" />
    <link:label xlink:type="resource" xlink:label="label_RevenueIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_RevenueIFRS">Total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RevenueIFRS" xlink:to="label_RevenueIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_ProfitLossBeforeTaxFromDiscontinuedOperationsIFRS" xlink:label="ProfitLossBeforeTaxFromDiscontinuedOperationsIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProfitLossBeforeTaxFromDiscontinuedOperationsIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/positiveLabel" id="label_ProfitLossBeforeTaxFromDiscontinuedOperationsIFRS">Profit before tax from discontinued operations</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxFromDiscontinuedOperationsIFRS" xlink:to="label_ProfitLossBeforeTaxFromDiscontinuedOperationsIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_InterestAndDividendIncomeOpeCFIFRS" xlink:label="InterestAndDividendIncomeOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_InterestAndDividendIncomeOpeCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_InterestAndDividendIncomeOpeCFIFRS">Interest and dividend income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestAndDividendIncomeOpeCFIFRS" xlink:to="label_InterestAndDividendIncomeOpeCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_PurchaseOfInvestmentsInAssociatesInvCFIFRS" xlink:label="PurchaseOfInvestmentsInAssociatesInvCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfInvestmentsInAssociatesInvCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_PurchaseOfInvestmentsInAssociatesInvCFIFRS">Purchase of investments in associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfInvestmentsInAssociatesInvCFIFRS" xlink:to="label_PurchaseOfInvestmentsInAssociatesInvCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_NetIncreaseDecreaseInShortTermBorrowingsFinCFIFRS" xlink:label="NetIncreaseDecreaseInShortTermBorrowingsFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_NetIncreaseDecreaseInShortTermBorrowingsFinCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_NetIncreaseDecreaseInShortTermBorrowingsFinCFIFRS">Net increase (decrease) in short-term borrowings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetIncreaseDecreaseInShortTermBorrowingsFinCFIFRS" xlink:to="label_NetIncreaseDecreaseInShortTermBorrowingsFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2024-11-01/jpcrp_cor_2024-11-01.xsd#jpcrp_cor_EntityTotalMember" xlink:label="EntityTotalMember" />
    <link:label xlink:type="resource" xlink:label="label_EntityTotalMember" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_EntityTotalMember">Group total or entity total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EntityTotalMember" xlink:to="label_EntityTotalMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_GovernmentGrantIncomeIFRS" xlink:label="GovernmentGrantIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GovernmentGrantIncomeIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_GovernmentGrantIncomeIFRS">Government grant income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernmentGrantIncomeIFRS" xlink:to="label_GovernmentGrantIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_CustomerRelatedAssetsAcquisitionCostIFRS" xlink:label="CustomerRelatedAssetsAcquisitionCostIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CustomerRelatedAssetsAcquisitionCostIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_CustomerRelatedAssetsAcquisitionCostIFRS">Customer-related assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustomerRelatedAssetsAcquisitionCostIFRS" xlink:to="label_CustomerRelatedAssetsAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareAcquisitionCostIFRS" xlink:label="SoftwareAcquisitionCostIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SoftwareAcquisitionCostIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SoftwareAcquisitionCostIFRS">Software</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoftwareAcquisitionCostIFRS" xlink:to="label_SoftwareAcquisitionCostIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_CustomerRelatedAssetsAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="CustomerRelatedAssetsAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CustomerRelatedAssetsAccumulatedAmortizationAndImpairmentLossesIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_CustomerRelatedAssetsAccumulatedAmortizationAndImpairmentLossesIFRS">Customer-related assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustomerRelatedAssetsAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="label_CustomerRelatedAssetsAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:label="SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS">Software</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" xlink:to="label_SoftwareAccumulatedAmortizationAndImpairmentLossesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_CustomerRelatedAssetsIFRS" xlink:label="CustomerRelatedAssetsIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CustomerRelatedAssetsIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_CustomerRelatedAssetsIFRS">Customer-related assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustomerRelatedAssetsIFRS" xlink:to="label_CustomerRelatedAssetsIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_SoftwareIFRS" xlink:label="SoftwareIFRS" />
    <link:label xlink:type="resource" xlink:label="label_SoftwareIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_SoftwareIFRS">Software</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SoftwareIFRS" xlink:to="label_SoftwareIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_CarryingAmountComponentsOfIntangibleAssetsIFRSAbstract" xlink:label="CarryingAmountComponentsOfIntangibleAssetsIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_CarryingAmountComponentsOfIntangibleAssetsIFRSAbstract" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_CarryingAmountComponentsOfIntangibleAssetsIFRSAbstract">Carrying amount</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CarryingAmountComponentsOfIntangibleAssetsIFRSAbstract" xlink:to="label_CarryingAmountComponentsOfIntangibleAssetsIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_AcquisitionCostComponentsOfIntangibleAssetsIFRSAbstract" xlink:label="AcquisitionCostComponentsOfIntangibleAssetsIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AcquisitionCostComponentsOfIntangibleAssetsIFRSAbstract" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_AcquisitionCostComponentsOfIntangibleAssetsIFRSAbstract">Acquisition cost</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AcquisitionCostComponentsOfIntangibleAssetsIFRSAbstract" xlink:to="label_AcquisitionCostComponentsOfIntangibleAssetsIFRSAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2024-11-01/jpigp_cor_2024-11-01.xsd#jpigp_cor_AccumulatedAmortizationAndImpairmentLossesComponentsOfIntangibleAssetsIFRSAbstract" xlink:label="AccumulatedAmortizationAndImpairmentLossesComponentsOfIntangibleAssetsIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_AccumulatedAmortizationAndImpairmentLossesComponentsOfIntangibleAssetsIFRSAbstract" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_AccumulatedAmortizationAndImpairmentLossesComponentsOfIntangibleAssetsIFRSAbstract">Accumulated amortization and impairment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccumulatedAmortizationAndImpairmentLossesComponentsOfIntangibleAssetsIFRSAbstract" xlink:to="label_AccumulatedAmortizationAndImpairmentLossesComponentsOfIntangibleAssetsIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2Strategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformation2Strategy_2">Reference to other information 2</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2Strategy" xlink:to="label_ReferenceToOtherInformation2Strategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformation2Strategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformation2Strategy">Reference to other information 2, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformation2Strategy" xlink:to="label_ReferenceToOtherInformation2Strategy" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital">Reference to other information, Metrics and targets, Human capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsHumanCapital" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsHumanCapital" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2">Notes regarding loss on valuation of shares of subsidiaries and associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock">Notes regarding loss on valuation of shares of subsidiaries and associates [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" xlink:to="label_NotesRegardingLossOnValuationOfSharesOfSubsidiariesAndAssociatesTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_AccruedLaborExpensesCLIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AccruedLaborExpensesCLIFRS">accrued labor expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccruedLaborExpensesCLIFRS" xlink:to="label_AccruedLaborExpensesCLIFRS" />
    <link:label xlink:type="resource" xlink:label="label_AccruedLaborExpensesCLIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AccruedLaborExpensesCLIFRS_2">accrued labor expenses- CL (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccruedLaborExpensesCLIFRS" xlink:to="label_AccruedLaborExpensesCLIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS">Changes in put option's liabilities pertain to noncontrolling interests, etc</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS" xlink:to="label_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS_2">Changes in put option's liabilities pertain to noncontrolling interests, etc - SS (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS" xlink:to="label_ChangesInPutOptionSLiabilitiesPertainToNoncontrollingInterestsEtcSSIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI">Reversal of allowance for business losses of affiliated companies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI" xlink:to="label_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI_2">Reversal of allowance for business losses of affiliated companies-NOI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI" xlink:to="label_ReversalOfAllowanceForBusinessLossesOfAffiliatedCompaniesNOI_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_2">Provision for loss on business of subsidiaries and associates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:to="label_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE">Provision for loss on business of subsidiaries and associates-NOE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:to="label_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" />
    <link:label xlink:type="resource" xlink:label="label_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember">Total before adjustment for discontinued operations</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember" xlink:to="label_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember_2">Total before adjustment for discontinued operations, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember" xlink:to="label_TotalBeforeAdjustmentForDiscontinuedOperationsReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AmountTransferredToDiscontinuedOperationsReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AmountTransferredToDiscontinuedOperationsReportableSegmentMember">Amount transferred to discontinued operations</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AmountTransferredToDiscontinuedOperationsReportableSegmentMember" xlink:to="label_AmountTransferredToDiscontinuedOperationsReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_AmountTransferredToDiscontinuedOperationsReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AmountTransferredToDiscontinuedOperationsReportableSegmentMember_2">Amount transferred to discontinued operations, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AmountTransferredToDiscontinuedOperationsReportableSegmentMember" xlink:to="label_AmountTransferredToDiscontinuedOperationsReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OtherItemsIFRSAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OtherItemsIFRSAbstract">Other items</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherItemsIFRSAbstract" xlink:to="label_OtherItemsIFRSAbstract" />
    <link:label xlink:type="resource" xlink:label="label_OtherItemsIFRSAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OtherItemsIFRSAbstract_2">Other items (IFRS) [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherItemsIFRSAbstract" xlink:to="label_OtherItemsIFRSAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS">Gain on sale of shares of subsidiaries</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS" xlink:to="label_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS_2">Gain on sale of shares of subsidiaries - OpeCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS" xlink:to="label_GainOnSaleOfSharesOfSubsidiariesOpeCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_GainOnSaleOfBusinessesOpeCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GainOnSaleOfBusinessesOpeCFIFRS">Gain on sale of businesses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnSaleOfBusinessesOpeCFIFRS" xlink:to="label_GainOnSaleOfBusinessesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GainOnSaleOfBusinessesOpeCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GainOnSaleOfBusinessesOpeCFIFRS_2">Gain on sale of businesses - OpeCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnSaleOfBusinessesOpeCFIFRS" xlink:to="label_GainOnSaleOfBusinessesOpeCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS">Increase (decrease) in accrued labor expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS" xlink:to="label_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS_2">Increse (decrease) in accrued labor expenses- OpeCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS" xlink:to="label_IncreseDecreaseInAccruedLaborExpensesOpeCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS">Decrease (increase) in prepaid expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInPrepaidExpensesOpeCFIFRS" xlink:to="label_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS_2">Decrease (increase) in prepaid expenses-OpeCF(IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInPrepaidExpensesOpeCFIFRS" xlink:to="label_DecreaseIncreaseInPrepaidExpensesOpeCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS">Decrease (increase) in lease receivables</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInLeaseReceivablesOpeCFIFRS" xlink:to="label_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS_2">Decrease (increase) in lease receivables - OpeCF(IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInLeaseReceivablesOpeCFIFRS" xlink:to="label_DecreaseIncreaseInLeaseReceivablesOpeCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS">Increase (decrease) in accrued consumption taxes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS" xlink:to="label_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS_2">Increase (decrease) in accrued consumption taxes-OpeCF(IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS" xlink:to="label_IncreaseDecreaseInAccruedConsumptionTaxesOpeCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_CollectionOfLongTermLoansReceivableInvCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CollectionOfLongTermLoansReceivableInvCFIFRS">Collection of long-term loans receivable</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CollectionOfLongTermLoansReceivableInvCFIFRS" xlink:to="label_CollectionOfLongTermLoansReceivableInvCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CollectionOfLongTermLoansReceivableInvCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CollectionOfLongTermLoansReceivableInvCFIFRS_2">Collection of long-term loans receivable- InvCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CollectionOfLongTermLoansReceivableInvCFIFRS" xlink:to="label_CollectionOfLongTermLoansReceivableInvCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS">Payments for sale of shares of subsidiaries resulting in change in scope of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS" xlink:to="label_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS_2">Payments for sale of shares of subsidiaries resulting in change in scope of consolidation - InvCF (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS" xlink:to="label_PaymentsForSaleOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationInvCFIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_MechanicalElectricityAndITFieldReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MechanicalElectricityAndITFieldReportableSegmentMember">Mechanical electricity and IT field</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MechanicalElectricityAndITFieldReportableSegmentMember" xlink:to="label_MechanicalElectricityAndITFieldReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_MechanicalElectricityAndITFieldReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MechanicalElectricityAndITFieldReportableSegmentMember_2">Mechanical electricity and IT field, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MechanicalElectricityAndITFieldReportableSegmentMember" xlink:to="label_MechanicalElectricityAndITFieldReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ConstructionFieldReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ConstructionFieldReportableSegmentMember">Construction field</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConstructionFieldReportableSegmentMember" xlink:to="label_ConstructionFieldReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_ConstructionFieldReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ConstructionFieldReportableSegmentMember_2">Construction field, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ConstructionFieldReportableSegmentMember" xlink:to="label_ConstructionFieldReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ManufacturingFieldReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ManufacturingFieldReportableSegmentMember">Manufacturing field</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ManufacturingFieldReportableSegmentMember" xlink:to="label_ManufacturingFieldReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_ManufacturingFieldReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ManufacturingFieldReportableSegmentMember_2">Manufacturing field, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ManufacturingFieldReportableSegmentMember" xlink:to="label_ManufacturingFieldReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OverseasFieldReportableSegmentMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OverseasFieldReportableSegmentMember">Overseas field</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OverseasFieldReportableSegmentMember" xlink:to="label_OverseasFieldReportableSegmentMember" />
    <link:label xlink:type="resource" xlink:label="label_OverseasFieldReportableSegmentMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OverseasFieldReportableSegmentMember_2">Overseas field, Reportable segment [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OverseasFieldReportableSegmentMember" xlink:to="label_OverseasFieldReportableSegmentMember_2" />
    <link:label xlink:type="resource" xlink:label="label_RecruitmentExpensesSGAIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RecruitmentExpensesSGAIFRS">Recruitment expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RecruitmentExpensesSGAIFRS" xlink:to="label_RecruitmentExpensesSGAIFRS" />
    <link:label xlink:type="resource" xlink:label="label_RecruitmentExpensesSGAIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RecruitmentExpensesSGAIFRS_2">Recruitment expenses - SGA (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RecruitmentExpensesSGAIFRS" xlink:to="label_RecruitmentExpensesSGAIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_SakaiNorikoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SakaiNorikoMember_2">Sakai, Noriko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakaiNorikoMember" xlink:to="label_SakaiNorikoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SakaiNorikoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SakaiNorikoMember">Sakai, Noriko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakaiNorikoMember" xlink:to="label_SakaiNorikoMember" />
    <link:label xlink:type="resource" xlink:label="label_NishidaYutakaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NishidaYutakaMember">Nishida, Yutaka [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NishidaYutakaMember" xlink:to="label_NishidaYutakaMember" />
    <link:label xlink:type="resource" xlink:label="label_NishidaYutakaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NishidaYutakaMember_2">Nishida, Yutaka</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NishidaYutakaMember" xlink:to="label_NishidaYutakaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SatoDaioMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SatoDaioMember_2">Sato, Daio</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoDaioMember" xlink:to="label_SatoDaioMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SatoDaioMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SatoDaioMember">Sato, Daio [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoDaioMember" xlink:to="label_SatoDaioMember" />
    <link:label xlink:type="resource" xlink:label="label_SatoHiroshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SatoHiroshiMember">Sato, Hiroshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoHiroshiMember" xlink:to="label_SatoHiroshiMember" />
    <link:label xlink:type="resource" xlink:label="label_SatoHiroshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SatoHiroshiMember_2">Sato, Hiroshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatoHiroshiMember" xlink:to="label_SatoHiroshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OshimaMariMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OshimaMariMember_2">Oshima, Mari</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OshimaMariMember" xlink:to="label_OshimaMariMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OshimaMariMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OshimaMariMember">Oshima, Mari [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OshimaMariMember" xlink:to="label_OshimaMariMember" />
    <link:label xlink:type="resource" xlink:label="label_KawakamiTomokoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KawakamiTomokoMember_2">Kawakami, Tomoko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawakamiTomokoMember" xlink:to="label_KawakamiTomokoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KawakamiTomokoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KawakamiTomokoMember">Kawakami, Tomoko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KawakamiTomokoMember" xlink:to="label_KawakamiTomokoMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuArataMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShimizuArataMember">Shimizu, Arata [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuArataMember" xlink:to="label_ShimizuArataMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimizuArataMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShimizuArataMember_2">Shimizu, Arata</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimizuArataMember" xlink:to="label_ShimizuArataMember_2" />
    <link:label xlink:type="resource" xlink:label="label_WadaYoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_WadaYoichiMember">Wada, Yoichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WadaYoichiMember" xlink:to="label_WadaYoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_WadaYoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_WadaYoichiMember_2">Wada, Yoichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WadaYoichiMember" xlink:to="label_WadaYoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ZammaRiekoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ZammaRiekoMember">Zamma, Rieko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ZammaRiekoMember" xlink:to="label_ZammaRiekoMember" />
    <link:label xlink:type="resource" xlink:label="label_ZammaRiekoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ZammaRiekoMember_2">Zamma, Rieko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ZammaRiekoMember" xlink:to="label_ZammaRiekoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TakahashiShintaroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TakahashiShintaroMember">Takahashi, Shintaro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakahashiShintaroMember" xlink:to="label_TakahashiShintaroMember" />
    <link:label xlink:type="resource" xlink:label="label_TakahashiShintaroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TakahashiShintaroMember_2">Takahashi, Shintaro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TakahashiShintaroMember" xlink:to="label_TakahashiShintaroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_RokugawaHiroakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RokugawaHiroakiMember">Rokugawa, Hiroaki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RokugawaHiroakiMember" xlink:to="label_RokugawaHiroakiMember" />
    <link:label xlink:type="resource" xlink:label="label_RokugawaHiroakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RokugawaHiroakiMember_2">Rokugawa, Hiroaki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RokugawaHiroakiMember" xlink:to="label_RokugawaHiroakiMember_2" />
  </link:labelLink>
</link:linkbase>